TEMPLATESPP1(1)

NAME
templatespp - preprocessor based on templates parser

SYNOPSIS
templatespp [-o file] file

DESCRIPTION
templatespp is a pre-processor based on the template parser. It is generally used from scripts to process files and generate other files. One of the possible uses, for instance, is to write the CSS (style-sheet) of a web site as a template file (for instance `mycss.tcss'), and use template parser structures in there. This is a good way to share colors for instance, or to name constants, as is often done in Ada code. Here is a small example of such a CSS:
     @@SET@@ COLOR1=blue
     @@SET@@ COLOR2=red
     @@SET@@ LENGTH1=10
     body {background:@_COLOR1_@}
     div {background:@_COLOR2_@}
     ul.class {background:@_COLOR1_@} /* same color as body */
     ul {width:@_ADD(3):LENGTH1_@px} /* ul 3 pixels wider than li */
     li {width:@_LENGTH1_@px} Such a file would be processed with the following command line:
     templatespp -o mycss.css mycss.tcss

OPTIONS

-h  Display a summary of options.

-o file
    Write the output to file.

SEE ALSO
templates2ada(1) The Template Parsers User's Guide in package libtemplates-parser-dev.

AUTHOR
templatespp was written by Pascal Obry <p.obry@wanadoo.fr> as part of the Ada Web Server. This manual page was written by Ludovic Brenta <lbrenta@debian.org> for Debian GNU/Linux.